
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #150

Export more metadata information through MPRIS2

July 27, 2012 05:33 - Tiger Soldier

Status: Closed Start date: July 27, 2012

Priority: Minor Due date:  

Assignee: John Lindgren % Done: 100%

Category: plugins/mpris2 Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.3   

Description

With MPRIS interface, I can get a lot information of the metadata of the track, including album, artist, location, mtime, title,

tracknumber, and year.

However, the metadata exported through MPRIS2 interface, only xesam:album, xesam:artist and xesam: title are available. I wish

more information such as mpris:length, xesam:url, and mpris:artUrl be exported to MPRIS2

History

#1 - July 28, 2012 02:39 - John Lindgren

Everything you want is there except xesam:url:

$ qdbus org.mpris.MediaPlayer2.audacious /org/mpris/MediaPlayer2 org.freedesktop.DBus.Properties.Get org.mpris

.MediaPlayer2.Player Metadata

mpris:artUrl: file:///tmp/audacious-temp-GWV5HW

mpris:length: 245806000

mpris:trackid: /org/mpris/MediaPlayer2/CurrentTrack

xesam:album: What I Wanted To Say

xesam:artist: Marie Bellet

xesam:title: Your Own Little World

#2 - July 28, 2012 02:59 - John Lindgren

- Category set to plugins/mpris2

- Target version set to 3.4

- Affects version 3.3 added

#3 - October 06, 2012 21:21 - John Lindgren

- Assignee set to John Lindgren

#4 - October 09, 2012 01:13 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

xesam:url is now reported in 3.4-devel:

https://github.com/audacious-media-player/audacious-plugins/commit/f764b9a77862bfc64a1ed750ed75d73f28d2a3d3
